summaryrefslogtreecommitdiffstats
path: root/games/vkBasalt
diff options
context:
space:
mode:
Diffstat (limited to 'games/vkBasalt')
-rw-r--r--games/vkBasalt/README53
-rw-r--r--games/vkBasalt/slack-desc19
-rw-r--r--games/vkBasalt/vkBasalt.SlackBuild112
-rw-r--r--games/vkBasalt/vkBasalt.info10
4 files changed, 194 insertions, 0 deletions
diff --git a/games/vkBasalt/README b/games/vkBasalt/README
new file mode 100644
index 0000000000..cad10cf339
--- /dev/null
+++ b/games/vkBasalt/README
@@ -0,0 +1,53 @@
+vkBasalt is a Vulkan post processing layer to enhance the visual
+graphics of games.
+
+Currently, the build in effects are:
+
+• Contrast Adaptive Sharpening
+• Denoised Luma Sharpening
+• Fast Approximate Anti-Aliasing
+• Enhanced Subpixel Morphological Anti-Aliasing
+• 3D color LookUp Table
+
+It is also possible to use Reshade Fx shaders.
+
+USAGE:
+
+Enable the layer with the environment variable.
+Standard
+
+When using the terminal or an application (.desktop) file, execute:
+
+ENABLE_VKBASALT=1 yourgame
+
+Lutris
+
+With Lutris, follow these steps below:
+
+Right click on a game, and press configure.
+Go to the System options tab and scroll down to Environment variables.
+Press on Add, and add ENABLE_VKBASALT under Key, and add 1 under Value.
+
+Steam
+
+With Steam, edit your launch options and add:
+
+ENABLE_VKBASALT=1 %command%
+
+Configure
+
+Settings like the CAS sharpening strength can be changed in the
+config file. The config file will be searched for in the following
+locations:
+
+a file set with the environment
+variableVKBASALT_CONFIG_FILE=/path/to/vkBasalt.conf
+vkBasalt.conf in the working directory of the game
+$XDG_CONFIG_HOME/vkBasalt/vkBasalt.conf or
+~/.config/vkBasalt/vkBasalt.conf if XDG_CONFIG_HOME is not set
+$XDG_DATA_HOME/vkBasalt/vkBasalt.conf or
+~/.local/share/vkBasalt/vkBasalt.conf if XDG_DATA_HOME is not set
+/etc/vkBasalt.conf
+/etc/vkBasalt/vkBasalt.conf
+/usr/share/vkBasalt/vkBasalt.conf
+
diff --git a/games/vkBasalt/slack-desc b/games/vkBasalt/slack-desc
new file mode 100644
index 0000000000..0d9ed1f309
--- /dev/null
+++ b/games/vkBasalt/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+vkBasalt: vkBasalt (Vulkan post processing layer)
+vkBasalt:
+vkBasalt: vkBasalt is a Vulkan post processing layer to enhance the visual
+vkBasalt: graphics of games.
+vkBasalt:
+vkBasalt:
+vkBasalt:
+vkBasalt:
+vkBasalt:
+vkBasalt: Homepage: https://github.com/DadSchoorse/vkBasalt
+vkBasalt:
diff --git a/games/vkBasalt/vkBasalt.SlackBuild b/games/vkBasalt/vkBasalt.SlackBuild
new file mode 100644
index 0000000000..54178599d6
--- /dev/null
+++ b/games/vkBasalt/vkBasalt.SlackBuild
@@ -0,0 +1,112 @@
+#!/bin/bash
+
+# Slackware build script for vkBasalt
+
+# Copyright 2023 Damian Perticone, Berisso,Argentina
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PRGNAM=vkBasalt
+VERSION=${VERSION:-0.3.2.10}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+mkdir build
+cd build
+ CFLAGS="$SLKCFLAGS" \
+ CXXFLAGS="$SLKCFLAGS" \
+ meson .. \
+ --buildtype=release \
+ --infodir=/usr/info \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ -Dstrip=true \
+ -Dwith_so=true \
+ -Dwith_json=true \
+ -Dappend_libdir_vkbasalt=false \
+
+ "${NINJA:=ninja}"
+ DESTDIR=$PKG $NINJA install
+cd ..
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a LICENSE README.md $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE
diff --git a/games/vkBasalt/vkBasalt.info b/games/vkBasalt/vkBasalt.info
new file mode 100644
index 0000000000..5609198f85
--- /dev/null
+++ b/games/vkBasalt/vkBasalt.info
@@ -0,0 +1,10 @@
+PRGNAM="vkBasalt"
+VERSION="0.3.2.10"
+HOMEPAGE="https://github.com/DadSchoorse/vkBasalt"
+DOWNLOAD="https://github.com/DadSchoorse/vkBasalt/releases/download/v0.3.2.10/vkBasalt-0.3.2.10.tar.gz"
+MD5SUM="807b2176b75e94d7f93cbeb1ceb37729"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Damian Perticone"
+EMAIL="mjolnirdam@gmail.com"